Bug 838351 - User on Mac OSX with Safari/FF cannot post ssh key. Consistently gets logged out.
User on Mac OSX with Safari/FF cannot post ssh key. Consistently gets logged...
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-07-08 13:00 EDT by Nam Duong
Modified: 2015-05-14 21:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-13 19:44:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nam Duong 2012-07-08 13:00:00 EDT
Description of problem:
A user has reported (on openshift@redhat.com) that while on Mac OSX with Safari/FF, he cannot post ssh key.  Consistently gets logged out.  He's tried the workaround of clearing cookies.

I'm not able to reproduce on OSX Lion, so I recommended using the rhc client tools in the meantime.  Let me know if you need the user's contact info.
Comment 2 N. Harrison Ripps 2012-07-09 10:41:24 EDT
Will attempt to reproduce on OS X.
Comment 3 Clayton Coleman 2012-07-10 13:09:39 EDT
We pushed a fix that should resolve this yesterday with bug 838428.  Sessions were being corrupted and invalidated, which means that when you submitted a key you could occasionally get logged out.
Comment 4 Mengjiao Gao 2012-07-12 02:14:04 EDT
I have tested on devenv_1884 yesterday on Mac Safari, and have no logged out situation exists. I can post ssh key successful on safari. So I will changed it to verified.

Note You need to log in before you can comment on or make changes to this bug.